
// NlcpfwDemoDlg.h : 头文件
//

#pragma once
#include "NLcpfw.h"
#include "afxwin.h"

// CNlcpfwDemoDlg 对话框
class CNlcpfwDemoDlg : public CDialog
{
// 构造
public:
	CNlcpfwDemoDlg(CWnd* pParent = NULL);	// 标准构造函数

// 对话框数据
	enum { IDD = IDD_NLCPFWDEMO_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV 支持


// 实现
protected:
	// 生成的消息映射函数
	virtual BOOL OnInitDialog();
	DECLARE_MESSAGE_MAP()

private:
	HNLCPFW m_hDev;
	BOOL m_bEnableNotify;
public:
	afx_msg void OnClose();
	afx_msg void OnBnClickedBtnUdp();
	afx_msg void OnBnClickedBtnClose();
	afx_msg void OnBnClickedBtnHid();
	afx_msg void OnBnClickedBtnCom();
	afx_msg void OnBnClickedBtnNotify();
	afx_msg void OnBnClickedBtnHexsend();
	afx_msg void OnBnClickedBtnSend();
	CEdit m_edit_recv;
	afx_msg void OnBnClickedBtnClearEdit();
	afx_msg void OnBnClickedBtnClearDev();
	afx_msg void OnBnClickedBtnRead();
};

int TCHAR2INT(TCHAR tChar);
int HexStrToDataStr(char *pBuf, UINT iBufSize, CString hexStr);
